Gtk2::Ex::FormFactory::ExecFlow(3)

NAME
Gtk2::Ex::FormFactory::ExecFlow - Display a Event::ExecFlow job plan

SYNOPSIS
  Gtk2::Ex::FormFactory::ExecFlow->new (
    ...
    Gtk2::Ex::FormFactory::Widget attributes
  );

DESCRIPTION
This class implements a Event::ExecFlow job plan viewer in a Gtk2::Ex::FormFactory framework using a Gtk2::TreeView to display the hierarchical job structure.

Besides updating the whole TreeView by assigning a new Event::ExecFlow::Job object to the widget it offers methods for updating single jobs efficiently.

The value of the associated application object attribute is an Event::ExecFlow::Job object.

OBJECT HIERARCHY
  Gtk2::Ex::FormFactory::Intro

  Gtk2::Ex::FormFactory::Widget
  +--- Gtk2::Ex::FormFactory::ExecFlow

  Gtk2::Ex::FormFactory::Layout
  Gtk2::Ex::FormFactory::Rules
  Gtk2::Ex::FormFactory::Context
  Gtk2::Ex::FormFactory::Proxy

ATTRIBUTES
This module has no additional attributes over those derived from Gtk2::Ex::FormFactory::Widget.

For more attributes refer to Gtk2::Ex::FormFactory::Widget.

METHODS

$widget->add_job ($job)
    This adds $job to the widget. If the job is part of a job group the group must be added already to the widget.

$widget->update_job ($job)
    Updates the state of $job in the TreeView.

$widget->remove_job ($job)
    Removes $job from the TreeView.

$widget->remove_job_with_id ($job_id)
    Use this method to remove a job from the TreeView if you just know it's ID and don't have a $job object at hand.

AUTHORS
 Joern Reder <joern at zyn dot de>

COPYRIGHT AND LICENSE
Copyright 2004-2006 by Joern Reder.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 248:
    =back without =over